#
# Conditional build:
%bcond_without	pth	# without pth-based based version of gnupg
%bcond_without	tests	# testsuite on build
#
Summary:	GNU Privacy Guard - tool for secure communication and data storage - enhanced version
Summary(pl.UTF-8):	GnuPG - narzędzie do bezpiecznej komunikacji i bezpiecznego przechowywania danych - wersja rozszerzona
Name:		gnupg2
Version:	2.0.20
Release:	1
License:	GPL v3+
Group:		Applications/File
Source0:	ftp://ftp.gnupg.org/gcrypt/gnupg/gnupg-%{version}.tar.bz2
# Source0-md5:	9d18ee71bb0b10d40d1c8a393bdd7a89
Source1:	gnupg-agent.sh
Patch0:		%{name}-info.patch
Patch1:		%{name}-pth.patch
Patch2:		%{name}-disable_tests.patch
Patch3:		%{name}-pl.po-update.patch
Patch4:		%{name}-am.patch
URL:		http://www.gnupg.org/
BuildRequires:	adns-devel
BuildRequires:	autoconf >= 2.61
BuildRequires:	automake >= 1:1.10
BuildRequires:	bzip2-devel
BuildRequires:	curl-devel >= 7.10
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	libassuan-devel >= 1:2.0.0
BuildRequires:	libgcrypt-devel >= 1.4.0
BuildRequires:	libgpg-error-devel >= 1.7
BuildRequires:	libksba-devel >= 1.0.7
BuildRequires:	libusb-compat-devel
BuildRequires:	openldap-devel
BuildRequires:	pcsc-lite-devel
%{?with_pth:BuildRequires:	pth-devel >= 2.0.0}
BuildRequires:	rpmbuild(macros) >= 1.177
BuildRequires:	texinfo
BuildRequires:	zlib-devel
Suggests:	gnupg-agent
Requires:	gnupg2-common = %{version}-%{release}
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_libexecdir	%{_libdir}/gnupg2

%description
GnuPG is GNU's tool for secure communication and data storage. It can
be used to encrypt data and to create digital signatures. It includes
an advanced key management facility and is compliant with the proposed
OpenPGP Internet standard as described in RFC2440.

This is enhanced version.

%description -l pl.UTF-8
GnuPG (GNU Privacy Guard) jest narzędziem do bezpiecznej komunikacji i
bezpiecznego przechowywania danych. Może być używany do szyfrowania
oraz podpisywania danych. Umożliwia zaawansowane zarządzanie kluczami
i spełnia normy zdefiniowane w standardzie OpenPGP, który jest opisany
w RFC2440.

To jest wersja rozszerzona.

%package common
Summary:	GnuPG - common files
Summary(pl.UTF-8):	GnuPG - pliki wspólne
Group:		Applications/File
Requires:	libassuan >= 1:2.0.0
Requires:	libgcrypt >= 1.4.0
Requires:	libgpg-error >= 1.7
Requires:	libksba >= 1.0.7
Conflicts:	gnupg-agent < 1.9.14-2

%description common
Common files used by tools from GnuPG project.

%description common -l pl.UTF-8
Pliki wspólne używane przez różne narzędzia z projektu GnuPG.

%package plugin-keys_curl
Summary:	GnuPG 2 plugin for allow talk to a HTTP/FTP keyserver
Summary(pl.UTF-8):	Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy HTTP/FTP
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}
Requires:	curl-libs >= 7.10

%description plugin-keys_curl
GnuPG 2 plugin for allow talk to a HTTP(S)/FTP(S) keyserver.

%description plugin-keys_curl -l pl.UTF-8
Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy
HTTP(S)/FTP(S).

%package plugin-keys_finger
Summary:	GnuPG 2 plugin for allow talk to a FINGER keyserver
Summary(pl.UTF-8):	Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy FINGER
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}

%description plugin-keys_finger
GnuPG 2 plugin for allow talk to a FINGER keyserver.

%description plugin-keys_finger -l pl.UTF-8
Wtyczka 2 GnuPG pozwalająca komunikować się z serwerem kluczy FINGER.

%package plugin-keys_hkp
Summary:	GnuPG 2 plugin for allow talk to a HKP keyserver
Summary(pl.UTF-8):	Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy HKP
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}

%description plugin-keys_hkp
GnuPG 2 plugin for allow talk to a HKP keyserver.

%description plugin-keys_hkp -l pl.UTF-8
Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy HKP.

%package plugin-keys_kdns
Summary:	GnuPG 2 plugin for allow talk to a KDNS keyserver
Summary(pl.UTF-8):	Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy KDNS
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}

%description plugin-keys_kdns
GnuPG 2 plugin for allow talk to a KDNS keyserver.

%description plugin-keys_kdns -l pl.UTF-8
Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy KDNS.

%package plugin-keys_ldap
Summary:	GnuPG 2 plugin for allow talk to a LDAP keyserver
Summary(pl.UTF-8):	Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy LDAP
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}

%description plugin-keys_ldap
GnuPG 2 plugin for allow talk to a LDAP keyserver.

%description plugin-keys_ldap -l pl.UTF-8
Wtyczka GnuPG 2 pozwalająca komunikować się z serwerem kluczy LDAP.

%package -n gnupg-agent
Summary:	GnuPG extension - agent
Summary(pl.UTF-8):	Rozszerzenie GnuPG - agent
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}
Requires:	pinentry >= 0.7.5-2
Obsoletes:	newpg

%description -n gnupg-agent
GnuPG extension - agent.

%description -n gnupg-agent -l pl.UTF-8
Rozszerzenie GnuPG - agent.

%package -n gnupg-agent-profile_d
Summary:	gnupg-agent start script for text mode
Summary(pl.UTF-8):	Skrypt startowy gnupg-agenta dla trybu tekstowego
Group:		Applications/File
Requires:	gnupg-agent = %{version}-%{release}

%description -n gnupg-agent-profile_d
gnupg-agent start script for text mode.

%description -n gnupg-agent-profile_d -l pl.UTF-8
Skrypt startowy gnupg-agenta dla trybu tekstowego.

%package -n gnupg-agent-xinitrc
Summary:	gnupg-agent start script for X-Window mode
Summary(pl.UTF-8):	Skrypt startowy gnupg-agenta dla trybu X-Window
Group:		Applications/File
Requires:	gnupg-agent = %{version}-%{release}
Requires:	xinitrc

%description -n gnupg-agent-xinitrc
gnupg-agent start script for X-Window mode.

%description -n gnupg-agent-xinitrc -l pl.UTF-8
Skrypt startowy gnupg-agenta dla trybu X-Window.

%package -n gnupg-smime
Summary:	GnuPG extension - S/MIME support
Summary(pl.UTF-8):	Rozszerzenie GnuPG - obsługa S/MIME
Group:		Applications/File
Requires:	%{name}-common = %{version}-%{release}
Conflicts:	gnupg-agent < 1.9.14-2

%description -n gnupg-smime
GnuPG extension - S/MIME support.

%description -n gnupg-smime -l pl.UTF-8
Rozszerzenie GnuPG - obsługa S/MIME.

%prep
%setup -q -n gnupg-%{version}
%patch0 -p1
%patch1 -p1
%{!?with_tests:%patch2 -p1}
%patch3 -p1
%patch4 -p1

%{__rm} po/stamp-po

%build
%{__gettextize}
%{__aclocal} -I m4 -I gl/m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_pth:--disable-threads} \
	--enable-gpg \
	--enable-symcryptrun \
	--with-capabilities \
	--with-pinentry-pgm=%{_bindir}/pinentry \
	--with-mailprog=/usr/lib/sendmail

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT \
	pkglibdir=%{_libexecdir}

install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/profile.d/gnupg-agent.sh
install -D %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/xinit/xinitrc.d/gnupg-agent.sh

%find_lang gnupg2
rm -f $RPM_BUILD_ROOT%{_datadir}/info/dir

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%postun	-p /sbin/postshell
-/usr/sbin/fix-info-dir -c %{_infodir}

%triggerpostun -n gnupg-agent -- gnupg-agent < 1.9.16-2
%banner gnupg-agent-1.9.16-2 << EOF
Scripts for starting gnupg-agent have been moved to separate
subpackages: gnupg-agent-profile_d and gnupg-agent-xinitrc.
EOF

%files
%defattr(644,root,root,755)
%doc g10/options.skel
%attr(755,root,root) %{_bindir}/gpg2
%attr(755,root,root) %{_bindir}/gpgv2
%{_mandir}/man1/gpg2.1*
%{_mandir}/man1/gpgv2.1*

%files common -f gnupg2.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog ChangeLog-2011 NEWS README THANKS TODO
%attr(755,root,root) %{_bindir}/gpg-connect-agent
%attr(755,root,root) %{_bindir}/gpgconf
%attr(755,root,root) %{_bindir}/gpgkey2ssh
%attr(755,root,root) %{_bindir}/gpgparsemail
%attr(755,root,root) %{_bindir}/kbxutil
%attr(755,root,root) %{_bindir}/watchgnupg
%attr(755,root,root) %{_sbindir}/addgnupghome
%attr(755,root,root) %{_sbindir}/applygnupgdefaults
%dir %{_libexecdir}
%{_datadir}/gnupg
%{_mandir}/man1/gpg-connect-agent.1*
%{_mandir}/man1/gpgconf.1*
%{_mandir}/man1/gpgparsemail.1*
%{_mandir}/man1/watchgnupg.1*
%{_mandir}/man8/addgnupghome.8*
%{_mandir}/man8/applygnupgdefaults.8*
%{_infodir}/gnupg.info*

%files plugin-keys_curl
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gpg2keys_curl

%files plugin-keys_finger
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gpg2keys_finger

%files plugin-keys_hkp
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gpg2keys_hkp

%files plugin-keys_kdns
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gpg2keys_kdns

%files plugin-keys_ldap
%defattr(644,root,root,755)
%attr(755,root,root) %{_libexecdir}/gpg2keys_ldap

%files -n gnupg-smime
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gpgsm
%attr(755,root,root) %{_bindir}/gpgsm-gencert.sh
%{_mandir}/man1/gpgsm.1*
%{_mandir}/man1/gpgsm-gencert.sh.1*

%files -n gnupg-agent
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/gpg-agent
%attr(755,root,root) %{_bindir}/symcryptrun
%attr(755,root,root) %{_libexecdir}/gnupg-pcsc-wrapper
%attr(755,root,root) %{_libexecdir}/gpg-check-pattern
%attr(755,root,root) %{_libexecdir}/gpg-protect-tool
%attr(755,root,root) %{_libexecdir}/gpg-preset-passphrase
%attr(755,root,root) %{_libexecdir}/scdaemon
%{_mandir}/man1/gpg-agent.1*
%{_mandir}/man1/gpg-preset-passphrase.1*
%{_mandir}/man1/scdaemon.1*
%{_mandir}/man1/symcryptrun.1*

%files -n gnupg-agent-profile_d
%defattr(644,root,root,755)
%attr(755,root,root) /etc/profile.d/gnupg-agent.sh

%files -n gnupg-agent-xinitrc
%defattr(644,root,root,755)
%attr(755,root,root) /etc/X11/xinit/xinitrc.d/gnupg-agent.sh
%changelog
* Sun May 12 2013 Jakub Bogusz <qboosh@pld-linux.org> eb43eaf
- updated to 2.0.20
- updated pl.po-update patch
- added am patch (fixes build with automake 1.13+)

* Tue Apr 17 2012 Jakub Bogusz <qboosh@pld-linux.org> 6462d2c
- updated to 2.0.19
- updated pl.po-update patch

* Sun Aug 07 2011 Jakub Bogusz <qboosh@pld-linux.org> 6f582fc
- updated to 2.0.18
- added pl.po-update patch

* Fri Jan 14 2011 Jakub Bogusz <qboosh@pld-linux.org> ea6e995
- updated to 2.0.17
- removed obsolete pl.po-update,CVE-2010-2547 patches (applied upstream)

* Mon Aug 16 2010 zbyniu <zbyniu@pld-linux.org> 51b517e
- rel 2

* Mon Aug 16 2010 Jakub Bogusz <qboosh@pld-linux.org> c6b9ca3
- updated for 2.0.16

* Sat Aug 14 2010 zbyniu <zbyniu@pld-linux.org> 570b1f1
- patch fixes CVE-2010-2547 ; rel 1.1

* Tue Aug 10 2010 Jakub Bogusz <qboosh@pld-linux.org> da0f871
- updated to 2.0.16
- updated pl.po-update patch

* Sat Jun 05 2010 arvenil <arvenil@pld-linux.org> 85f67d8
- downgrade to 2.0.14 (2.0.15 goes to DEVEL because of libassuan 2.0.0)
- release 1

* Sat Jun 05 2010 arvenil <arvenil@pld-linux.org> ef9e3fd
- up to 2.0.15
- BR: libassuan1-devel >= 1.0.5 => libassuan-devel >= 1:2.0.0

* Sun May 30 2010 hawk <hawk@pld-linux.org> dca6c0f
- release 4

* Tue Mar 30 2010 shadzik <shadzik@pld-linux.org> 49c190f
- build with fixed libassuan1 version
- rel 3

* Mon Mar 29 2010 shadzik <shadzik@pld-linux.org> 1eec75f
- change BR to libassuan1
- rel 2

* Sun Sep 27 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 44a0cbe
- up to 2.0.13

* Fri Aug 14 2009 arvenil <arvenil@pld-linux.org> 17e5613
- up to 2.0.12

* Sun Jul 05 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 5e8a858
- drop obsolete files

* Sun Mar 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 696acc4
- release 2

* Sun Mar 08 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 750f026
- qt4 support

* Fri Mar 06 2009 Adam Gołębiowski <adamg@pld-linux.org> 280b20c
- updated to 2.0.11

* Mon Feb 23 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 74c27b6
- release 5

